"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postcss = exports.discardDuplicates = void 0;
/**
 * Discards top level duplicate declarations.
 */
const discardDuplicates = () => {
    return {
        postcssPlugin: 'discard-duplicates',
        Once(root) {
            const decls = {};
            root.each((node) => {
                if (node.type === 'decl') {
                    decls[node.prop] = decls[node.prop] || [];
                    decls[node.prop].push(node);
                }
            });
            for (const key in decls) {
                const found = decls[key];
                for (let i = 0; i < found.length - 1; i++) {
                    found[i].remove();
                }
            }
        },
    };
};
exports.discardDuplicates = discardDuplicates;
exports.postcss = true;
//# sourceMappingURL=discard-duplicates.js.map