"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postcss = exports.discardEmptyRules = void 0;
const isValueEmpty = (value) => value === 'undefined' || value === 'null' || value.trim() === '';
/**
 * Discards any rule with an empty value.
 */
const discardEmptyRules = () => {
    return {
        postcssPlugin: 'discard-empty-rules',
        Declaration(node) {
            if (isValueEmpty(node.value)) {
                const { parent } = node;
                node.remove();
                if ((parent === null || parent === void 0 ? void 0 : parent.type) === 'rule' && parent.nodes.length === 0) {
                    parent.remove();
                }
            }
        },
    };
};
exports.discardEmptyRules = discardEmptyRules;
exports.postcss = true;
//# sourceMappingURL=discard-empty-rules.js.map