"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.background = void 0;
const utils_1 = require("./utils");
/**
 * Only background-color is expanded.
 * https://developer.mozilla.org/en-US/docs/Web/CSS/background
 */
const background = (value) => {
    if (value.nodes.length === 1 && (0, utils_1.isColor)(value.nodes[0])) {
        return [{ prop: 'background-color', value: value.nodes[0].toString() }];
    }
    return [{ value: value.nodes.join(' ') }];
};
exports.background = background;
//# sourceMappingURL=background.js.map