import type { Node, Numeric, Word, Func } from 'postcss-values-parser';
/**
 * Common global values
 */
export declare const globalValues: string[];
/**
 * Returns `true` if the node is a color,
 * else `false`.
 *
 * @param node
 */
export declare const isColor: (node: Node) => boolean;
/**
 * Returns `true` if the node is a width,
 * else `false`.
 *
 * @param node
 */
export declare const isWidth: (node: Node) => boolean;
/**
 * Returns calculated width of a node.
 *
 * @param node
 */
export declare const getWidth: (node: Numeric | Word | Func) => string;
