import type { Plugin } from 'postcss';
/**
 * Plugin to remove duplicate children found in at-rules.
 * Currently does not handle nested at-rules.
 *
 * Before:
 *
 * ```css
 * @media (min-width:500px){._171dak0l{border:2px solid red}._1swkri7e:before{content:'large screen'}}
 * @media (min-width:500px){._171dak0l{border:2px solid red}}
 * ```
 *
 * After:
 *
 * ```css
 * @media (min-width:500px){._171dak0l{border:2px solid red}._1swkri7e:before{content:'large screen'}}
 * ```
 */
export declare const mergeDuplicateAtRules: () => Plugin;
export declare const postcss = true;
