"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postcss = exports.normalizeCurrentColor = void 0;
/**
 * Will normalize "currentcolor" and "current-color" to "currentColor".
 */
const normalizeCurrentColor = () => {
    return {
        postcssPlugin: 'normalize-current-color',
        Declaration(declaration) {
            const lowerValue = declaration.value.toLowerCase();
            if (lowerValue === 'currentcolor' || lowerValue === 'current-color') {
                declaration.value = 'currentColor';
            }
        },
    };
};
exports.normalizeCurrentColor = normalizeCurrentColor;
exports.postcss = true;
//# sourceMappingURL=normalize-current-color.js.map