"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortPseudoSelectors = void 0;
const style_ordering_1 = require("./style-ordering");
const getPseudoSelectorScore = (selector) => {
    const index = style_ordering_1.styleOrder.findIndex((pseudoClass) => selector.trim().endsWith(pseudoClass));
    return index + 1;
};
/**
 * Given a list of CSS rules, sort the rules in-place such that the pseudo-selectors are
 * sorted with the ordering defined in `packages/css/src/utils/style-ordering.ts`.
 *
 * @param rules
 */
const sortPseudoSelectors = (rules) => {
    rules.sort((rule1, rule2) => {
        const selector1 = rule1.selectors.length ? rule1.selectors[0] : rule1.selector;
        const selector2 = rule2.selectors.length ? rule2.selectors[0] : rule2.selector;
        return getPseudoSelectorScore(selector1) - getPseudoSelectorScore(selector2);
    });
};
exports.sortPseudoSelectors = sortPseudoSelectors;
//# sourceMappingURL=sort-pseudo-selectors.js.map